Skip to main content
GET
/
api
/
agents
List Agents
curl --request GET \
  --url https://api-in.getello.ai/api/agents \
  --header 'X-API-Key: <api-key>'
{
  "status": 200,
  "message": "Assistants retrieved successfully",
  "data": [
    {
      "id": "698054b94168f285f5d3467b",
      "name": "My Hybrid Agent",
      "type": "hybrid",
      "updatedAt": "2026-03-19T08:12:33.503000Z",
      "voiceEngine": "sarvam",
      "phoneNumber": "+919247519114",
      "status": true
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 3,
    "totalPages": 1,
    "hasNextPage": false,
    "hasPrevPage": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs-in.getello.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

workspace_id
string
Example:

"6970c2f3948cfbce1932d99d"

page
integer
Required range: x >= 1
Example:

1

limit
integer
Required range: 1 <= x <= 100
Example:

10

category
string
Example:

"general"

Example:

"sales"

sort_field
enum<string>
Available options:
name,
type,
status,
createdAt,
updatedAt
Example:

"updatedAt"

sort_order
enum<string>
Available options:
asc,
desc
Example:

"desc"

start_date
string<date-time>
Example:

"2026-04-01T00:00:00.000Z"

end_date
string<date-time>
Example:

"2026-04-03T23:59:59.999Z"

filters

Response

Agents retrieved successfully

status
integer
Example:

200

message
string
Example:

"Assistants retrieved successfully"

data
object[]
pagination
object